<?php
/* action functions */
function bp_wpmu_blogpageloop() {
		do_action('bp_wpmu_blogpageloop');
}

function wpmu_blogpageloop() {
		do_action('wpmu_blogpageloop');
}

function bp_wpmu_blogpageloopcontent() {
		do_action('bp_wpmu_blogpageloopcontent');
}

function wpmu_blogpageloopcontent() {
		do_action('wpmu_blogpageloopcontent');
}

function bp_wpmu_excerptloop() {
		do_action('bp_wpmu_excerptloop');
}

function wpmu_excerptloop() {
		do_action('wpmu_excerptloop');
}

function bp_wpmu_singleloop() {
		do_action('bp_wpmu_singleloop');
}

function wpmu_singleloop() {
		do_action('wpmu_singleloop');
}

function bp_wpmu_pageloop() {
		do_action('bp_wpmu_pageloop');
}

function wpmu_pageloop() {
		do_action('wpmu_pageloop');
}

function wpmu_galleryloop() {
		do_action('wpmu_galleryloop');
}

function wpmu_attachmentloop() {
		do_action('wpmu_attachmentloop');
}

/* buddypress loop functions */

/* blog / news template function */
/* buddypress function */
function bp_wpmu_blogpage_loop(){
		rewind_posts();
		$page = (get_query_var('paged')) ? get_query_var('paged') : 1; query_posts("cat=&showposts=5&paged=$page"); while ( have_posts() ) : the_post();?>
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<div class="author-box">
				<?php echo get_avatar( get_the_author_meta( 'user_email' ), '50' ); ?>
				<p><?php _e( 'by ', 'gallery' ) ?><?php the_author_link();  ?></p>
			</div>
			<div class="post-content">
				<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to', 'gallery' ) ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<p class="date"><?php the_time('M j Y') ?> <em><?php _e( 'in', 'gallery' ) ?> <?php the_category(', ') ?> <?php _e( 'by ', 'gallery' ) ?><?php the_author_link();  ?></em></p>
				<div class="entry">
							<a href="<?php the_permalink() ?>">
								<?php if(function_exists('the_post_thumbnail')) { ?><?php if(get_the_post_thumbnail() != "") { ?><div class="alignleft">
								<?php the_post_thumbnail(); ?></div><?php } } ?>
							</a>
					<?php the_excerpt(); ?>
					<p><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to', 'gallery' ) ?> <?php the_title_attribute(); ?>"><?php _e( 'Read more', 'gallery' ) ?></a></p>
					<div class="clear"></div>
				</div>
				<p class="postmetadata"><span class="tags"><?php the_tags( __( 'Tags: ', 'gallery' ), ', ', '<br />'); ?></span> <span class="comments"><?php comments_popup_link( __( 'No Comments &#187;', 'gallery' ), __( '1 Comment &#187;', 'gallery' ), __( '% Comments &#187;', 'gallery' ) ); ?></span></p>
			</div>
		</div>
			<?php endwhile;
}
add_action('bp_wpmu_blogpageloop', 'bp_wpmu_blogpage_loop');

/* non buddypress loop functions */
function wpmu_blogpage_loop(){
		rewind_posts();
		$page = (get_query_var('paged')) ? get_query_var('paged') : 1; query_posts("cat=&showposts=5&paged=$page"); while ( have_posts() ) : the_post();?>
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<div class="post-content-wp">
				<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to', 'gallery' ) ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					<p class="date"><span class="byline"><?php the_time('M j Y') ?> <?php _e( 'in', 'gallery' ) ?> <?php the_category(', ') ?> <em><?php _e( 'by ', 'gallery' ) ?><?php the_author_link();  ?></em></span></p>
						<div class="entry">
									<a href="<?php the_permalink() ?>">
										<?php if(function_exists('the_post_thumbnail')) { ?><?php if(get_the_post_thumbnail() != "") { ?><div class="alignleft">
										<?php the_post_thumbnail(); ?></div><?php } } ?>
									</a>
							<?php the_excerpt(); ?>
							<p><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to', 'gallery' ) ?> <?php the_title_attribute(); ?>"><?php _e( 'Read more', 'gallery' ) ?></a></p>
							<div class="clear"></div>
						</div>
				<p class="postmetadata"><span class="tags"><?php the_tags( __( 'Tags: ', 'gallery' ), ', ', '<br />'); ?></span> <span class="comments"><?php comments_popup_link( __( 'No Comments &#187;', 'gallery' ), __( '1 Comment &#187;', 'gallery' ), __( '% Comments &#187;', 'gallery' ) ); ?></span></p>
			</div>
		</div>
			<?php endwhile;
}
add_action('wpmu_blogpageloop', 'wpmu_blogpage_loop');

function bp_wpmu_blogpage_loopcontent(){
		rewind_posts();
		$page = (get_query_var('paged')) ? get_query_var('paged') : 1; query_posts("cat=&showposts=5&paged=$page"); while ( have_posts() ) : the_post();?>
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<div class="author-box">
				<?php echo get_avatar( get_the_author_meta( 'user_email' ), '50' ); ?>
				<p><?php _e( 'by ', 'gallery' ) ?><?php the_author_link();  ?></p>
			</div>
			<div class="post-content">
				<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to', 'gallery' ) ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<p class="date"><?php the_time('M j Y') ?> <em><?php _e( 'in', 'gallery' ) ?> <?php the_category(', ') ?> <?php _e( 'by ', 'gallery' ) ?><?php the_author_link();  ?></em></p>
				<div class="entry">
					<?php the_content(); ?>
					<div class="clear"></div>
				</div>
				<p class="postmetadata"><span class="tags"><?php the_tags( __( 'Tags: ', 'gallery' ), ', ', '<br />'); ?></span> <span class="comments"><?php comments_popup_link( __( 'No Comments &#187;', 'gallery' ), __( '1 Comment &#187;', 'gallery' ), __( '% Comments &#187;', 'gallery' ) ); ?></span></p>
			</div>
		</div>
			<?php endwhile;
}
add_action('bp_wpmu_blogpageloopcontent', 'bp_wpmu_blogpage_loopcontent');

/* non buddypress loop functions */
function wpmu_blogpage_loopcontent(){
		rewind_posts();
		$page = (get_query_var('paged')) ? get_query_var('paged') : 1; query_posts("cat=&showposts=5&paged=$page"); while ( have_posts() ) : the_post();?>
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<div class="post-content-wp">
				<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to', 'gallery' ) ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					<p class="date"><span class="byline"><?php the_time('M j Y') ?> <?php _e( 'in', 'gallery' ) ?> <?php the_category(', ') ?> <em><?php _e( 'by ', 'gallery' ) ?><?php the_author_link();  ?></em></span></p>
						<div class="entry">
							<?php the_content(); ?>
							<div class="clear"></div>
						</div>
				<p class="postmetadata"><span class="tags"><?php the_tags( __( 'Tags: ', 'gallery' ), ', ', '<br />'); ?></span> <span class="comments"><?php comments_popup_link( __( 'No Comments &#187;', 'gallery' ), __( '1 Comment &#187;', 'gallery' ), __( '% Comments &#187;', 'gallery' ) ); ?></span></p>
			</div>
		</div>
			<?php endwhile;
}
add_action('wpmu_blogpageloopcontent', 'wpmu_blogpage_loopcontent');

/* excerpt function */
/* buddypress function */
function bp_wpmu_excerpt_loop(){
		rewind_posts();
		while (have_posts()) : the_post(); ?>
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<div class="author-box">
				<?php echo get_avatar( get_the_author_meta( 'user_email' ), '50' ); ?>
				<p><?php _e( 'by ', 'gallery' ) ?><?php the_author_link();  ?></p>
			</div>
			<div class="post-content">
				<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to', 'gallery' ) ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<p class="date"><?php the_time('M j Y') ?> <em><?php _e( 'in', 'gallery' ) ?> <?php the_category(', ') ?> <?php _e( 'by ', 'gallery' ) ?><?php the_author_link();  ?></em></p>
				<div class="entry">
							<a href="<?php the_permalink() ?>">
								<?php if(function_exists('the_post_thumbnail')) { ?><?php if(get_the_post_thumbnail() != "") { ?><div class="alignleft">
								<?php the_post_thumbnail(); ?></div><?php } } ?>
							</a>
					<?php the_excerpt(); ?>
					<p><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to', 'gallery' ) ?> <?php the_title_attribute(); ?>"><?php _e( 'Read more', 'gallery' ) ?></a></p>
							<div class="clear"></div>
				</div>
				<p class="postmetadata"><span class="tags"><?php the_tags( __( 'Tags: ', 'gallery' ), ', ', '<br />'); ?></span> <span class="comments"><?php comments_popup_link( __( 'No Comments &#187;', 'gallery' ), __( '1 Comment &#187;', 'gallery' ), __( '% Comments &#187;', 'gallery' ) ); ?></span></p>
			</div>
		</div>
			<?php endwhile;
}
add_action('bp_wpmu_excerptloop', 'bp_wpmu_excerpt_loop');

/* non buddypress loop functions */
function wpmu_excerpt_loop(){
		rewind_posts();
		while (have_posts()) : the_post(); ?>
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<div class="post-content-wp">
					<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to', 'gallery' ) ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					<p class="date"><span class="byline"><?php the_time('M j Y') ?> <?php _e( 'in', 'gallery' ) ?> <?php the_category(', ') ?> <em><?php _e( 'by ', 'gallery' ) ?><?php the_author_link();  ?></em></span></p>
						<div class="entry">
									<a href="<?php the_permalink() ?>">
										<?php if(function_exists('the_post_thumbnail')) { ?><?php if(get_the_post_thumbnail() != "") { ?><div class="alignleft">
										<?php the_post_thumbnail(); ?></div><?php } } ?>
									</a>
							<?php the_excerpt(); ?>
							<p><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to', 'gallery' ) ?> <?php the_title_attribute(); ?>"><?php _e( 'Read more', 'gallery' ) ?></a></p>
									<div class="clear"></div>
						</div>
				<p class="postmetadata"><span class="tags"><?php the_tags( __( 'Tags: ', 'gallery' ), ', ', '<br />'); ?></span> <span class="comments"><?php comments_popup_link( __( 'No Comments &#187;', 'gallery' ), __( '1 Comment &#187;', 'gallery' ), __( '% Comments &#187;', 'gallery' ) ); ?></span></p>
			</div>
		</div>
			<?php endwhile;
}
add_action('wpmu_excerptloop', 'wpmu_excerpt_loop');

/* single function */
/* buddypress function */
function bp_wpmu_single_loop(){
		rewind_posts();
		while (have_posts()) : the_post(); ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<div class="author-box">
					<?php echo get_avatar( get_the_author_meta( 'user_email' ), '50' ); ?>
					<p><?php _e( 'by ', 'gallery' ) ?><?php the_author_link();  ?></p>
				</div>
				<div class="post-content">
					<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to', 'gallery' ) ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					<p class="date"><?php the_time('M j Y') ?> <em><?php _e( 'in', 'gallery' ) ?> <?php the_category(', ') ?> <?php _e( 'by ', 'gallery' ) ?><?php the_author_link();  ?></em></p>
					<div class="entry">
						<?php the_content( __( 'Read the rest of this entry &rarr;', 'gallery' ) ); ?>
					</div>
					<p class="postmetadata"><span class="tags"><?php the_tags( __( 'Tags: ', 'gallery' ), ', ', '<br />'); ?></span> <span class="comments"><?php comments_popup_link( __( 'No Comments &#187;', 'gallery' ), __( '1 Comment &#187;', 'gallery' ), __( '% Comments &#187;', 'gallery' ) ); ?></span></p>
				</div>
			</div>

			<?php comments_template('', true);
			?>
			<?php endwhile;

}
add_action('bp_wpmu_singleloop', 'bp_wpmu_single_loop');

/* non buddypress loop functions */
function wpmu_single_loop(){
		rewind_posts();
		while (have_posts()) : the_post(); ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<div class="post-content-wp">
					<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to', 'gallery' ) ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					<p class="date"><span class="byline"><?php the_time('M j Y') ?> <?php _e( 'in', 'gallery' ) ?> <?php the_category(', ') ?> <em><?php _e( 'by ', 'gallery' ) ?><?php the_author_link();  ?></em></span></p>
					<div class="entry">
						<?php the_content(); ?>
					</div>
					<p class="postmetadata"><span class="tags"><?php the_tags( __( 'Tags: ', 'gallery' ), ', ', '<br />'); ?></span> <span class="comments"><?php comments_popup_link( __( 'No Comments &#187;', 'gallery' ), __( '1 Comment &#187;', 'gallery' ), __( '% Comments &#187;', 'gallery' ) ); ?></span></p>
				</div>
			</div>

			<?php comments_template('', true);
			?>
			<?php endwhile;

}
add_action('wpmu_singleloop', 'wpmu_single_loop');

/* single function */
/* buddypress function */
function bp_wpmu_page_loop(){
		rewind_posts();
		while (have_posts()) : the_post(); ?>
			<h2 class="pagetitle"><?php the_title(); ?></h2>
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<div class="entry">
					<?php the_content( __( '<p class="serif">Read the rest of this page &rarr;</p>', 'gallery' ) ); ?>
					<?php wp_link_pages( array( 'before' => __( '<p><strong>Pages:</strong> ', 'gallery' ), 'after' => '</p>', 'next_or_number' => 'number')); ?>
					<?php edit_post_link( __( 'Edit this entry.', 'gallery' ), '<p>', '</p>'); ?>
				</div>
			</div>

			<?php comments_template('', true); ?>
			<?php endwhile;
}
add_action('bp_wpmu_pageloop', 'bp_wpmu_page_loop');

/* non buddypress loop functions */
function wpmu_page_loop(){
		rewind_posts();
		while (have_posts()) : the_post(); ?>
				<h2 class="pagetitle"><?php the_title(); ?></h2>
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="entry">
						<?php the_content(); ?>
						<?php wp_link_pages( array( 'before' => __( '<p><strong>Pages:</strong> ', 'gallery' ), 'after' => '</p>', 'next_or_number' => 'number')); ?>
						<?php edit_post_link( __( 'Edit this entry.', 'gallery' ), '<p>', '</p>'); ?>
					</div>
				</div>

				<?php comments_template('', true); ?>
			<?php endwhile;
}
add_action('wpmu_pageloop', 'wpmu_page_loop');

/* non buddypress loop functions */
function wpmu_gallery_loop(){
		rewind_posts();
		while (have_posts()) : the_post(); ?>
				<h2 class="pagetitle"><?php the_title(); ?></h2>
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="entry">
						<?php
						$queried_post = get_post($post_id);
						$title = $queried_post->post_title;

						if (empty($queried_post->post_content)) { ?>

								<div class="imgnothing">
									<img src="<?php bloginfo('template_directory'); ?>/library/styles/images/defaultsetup/galleryexample.jpg"/>
								</div>
						<?php } else { ?>
					<?php the_content(); ?>
						<?php } ?>
					</div>
				</div>
			<?php endwhile;
}
add_action('wpmu_galleryloop', 'wpmu_gallery_loop');


function wpmu_attachment_loop(){
		global $post;
		rewind_posts();
		$attachments = false;
		if (get_post_type($post->post_parent) == 'exhibition') {
				if ($post->menu_order > 0) {
					$attachments = get_children( 'orderby=menu_order&order=ASC&post_type=attachment&post_mime_type=image&post_parent='.$post->post_parent );
				} else {
					$attachments = get_children( 'orderby=ID&order=ASC&post_type=attachment&post_mime_type=image&post_parent='.$post->post_parent );
				}
		}
		while (have_posts()) : the_post();
			$attachment_link = wp_get_attachment_image($post->ID, true, array(450, 800)); // This also populates the iconsize for the next line
			$attachment_url = wp_get_attachment_image_src($post->ID, 'full', false);
			$attachment_url = $attachment_url[0];

			$_post = &get_post($post->ID); $classname = ($_post->iconsize[0] <= 128 ? 'small' : '') . 'attachment'; // This lets us style narrow icons specially ?>

				<div class="post" id="post-<?php the_ID(); ?>">

					<h2 class="posttitle"><a href="<?php echo get_permalink($post->post_parent); ?>" rev="attachment"><?php echo get_the_title($post->post_parent); ?></a> &rarr; <a href="<?php echo get_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></h2>

					<div class="entry">
						<p class="<?php echo $classname; ?>">
							<?php echo $attachment_link; ?>
							<br />
							<a href="<?php echo $attachment_url; ?>" target="_blank"><?php echo basename($post->guid); ?></a>
						</p>

						<?php the_content( __('<p class="serif">Read the rest of this entry &rarr;</p>', 'gallery' ) ); ?>

						<?php
						if ($attachments) {
								$next = false;
								$previous = false;
								$found = false;
								foreach ($attachments as $attachment) {
										if (!$found && $attachment->ID != $post->ID) {
												$previous = $attachment->ID;
										}
										if ($attachment->ID == $post->ID) {
												$found = true;
										}
										if ($found && $attachment->ID != $post->ID) {
												$next = $attachment->ID;
												break;
										}
								?>
								<?php
								}
								if ($previous) {
										echo '<a class="prev-link" href="'.get_permalink($previous).'">'.__('&lt; Previous', 'gallery').'</a>&nbsp;';
								}
								if ($next) {
										echo '&nbsp;<a class="next-link" href="'.get_permalink($next).'">'.__('Next &gt;', 'gallery').'</a>';
								}
						}
						?>
						<?php wp_link_pages( array( 'before' => __( '<p><strong>Pages:</strong> ', 'gallery' ), 'after' => '</p>', 'next_or_number' => 'number')); ?>
					</div>

				</div>
			<?php comments_template(); ?>
				<?php endwhile;
}
add_action('wpmu_attachmentloop', 'wpmu_attachment_loop');
?>