<?php

// get latest 4 sticky posts
$sticky = get_option( 'sticky_posts' );
rsort( $sticky );
$sticky = array_slice( $sticky, 0, 4 );
query_posts( array( 'post__in' => $sticky, 'caller_get_posts' => 1 ) );


$sticky_links = get_option('dev_gallery_homepage_sticky_post_link', false);
$i=0;
$grid = '<div id="grid">';
while (have_posts()){
	$i++;
	the_post();

	$img='';
	if(has_post_thumbnail( $post->ID )){
		$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
		$img="background-image:url('".$image[0]."');";
	}

	$grid.='
		<div class="grid-block'.($i%4==0?'-end':'').'">
			<div class="grid-image-small">
				<a
					'.($sticky_links=='yes'?'href="'.get_permalink().'"':'').'
					title="'.get_the_title().'"
					class="sticky-img"
					style="'.$img.'"
				></a>
			</div>
			<h4>'.get_the_title().'</h4>
		</div>';
}
$grid.='<div class="clear"></div> </div><!-- close #grid -->';

echo $grid;
?>